Index: extensions/lightbox/jquery.colorbox.js
===================================================================
--- extensions/lightbox/jquery.colorbox.js	(revision 5721)
+++ extensions/lightbox/jquery.colorbox.js	(revision 5734)
@@ -1,3 +1,3 @@
-// ColorBox v1.3.5 - a full featured, light-weight, customizable lightbox based on jQuery 1.3
+// ColorBox v1.3.6 - a full featured, light-weight, customizable lightbox based on jQuery 1.3
 // c) 2009 Jack Moore - www.colorpowered.com - jack@colorpowered.com
 // Licensed under the MIT license: http://www.opensource.org/licenses/mit-license.php
@@ -10,6 +10,6 @@
 	FALSE = false,
 	cboxPublic,
-	isIE = !$.support.opacity,
-	isIE6 = isIE && !window.XMLHttpRequest,
+	isIE = $.browser.msie && !$.support.opacity, // feature detection alone gave false positives in some browsers
+	isIE6 = isIE && $.browser.version < 7,
 
 	// Event Strings (to increase compression)
@@ -123,4 +123,7 @@
 			}
 		}
+		settings.rel = settings.rel || element.rel;
+		settings.href = settings.href || element.href;
+		settings.title = settings.title || element.title;
 	}
 
@@ -133,10 +136,8 @@
 		process(); // Convert functions to their returned values.
 		
-		var rel = settings.rel || element.rel;
-		
-		if (rel && rel !== 'nofollow') {
+		if (settings.rel && settings.rel !== 'nofollow') {
 			$related = $('.cboxElement').filter(function () {
 				var relRelated = $(this).data(colorbox).rel || this.rel;
-				return (relRelated === rel);
+				return (relRelated === settings.rel);
 			});
 			index = $related.index(element);
@@ -162,5 +163,5 @@
 			
 			// Set Navigation Key Bindings
-			$().bind("keydown.cbox_close", function (e) {
+			$(document).bind("keydown.cbox_close", function (e) {
 				if (e.keyCode === 27) {
 					e.preventDefault();
@@ -222,5 +223,5 @@
 		if (!$this.length) {
 			if ($this.selector === '') { // empty selector means a direct call, ie: $.fn.colorbox();
-				$this = $($this);
+				$this = $('<a/>');
 				options.open = TRUE;
 			} else { // else the selector didn't match anything, and colorbox should go ahead and return.
@@ -303,7 +304,7 @@
 		// Add rollover event to navigation elements
 		$content.children()
-		.addClass(hover)
-		.mouseover(function () { $(this).addClass(hover); })
-		.mouseout(function () { $(this).removeClass(hover); });
+		.bind('mouseover mouseout', function(){
+			$(this).toggleClass(hover);
+		}).addClass(hover);
 		
 		// Cache values needed for size calculations
@@ -445,12 +446,10 @@
 				//This increases compatability with pages using DOM dependent JavaScript.
 				if(settings.iframe){
-					$loaded.append("<iframe id='cboxIframe'" + (settings.scrolling ? " " : "scrolling='no'") + " name='iframe_"+new Date().getTime()+"' frameborder=0 src='"+(settings.href || element.href)+"' " + (isIE ? "allowtransparency='true'" : '') + " />");
+					$loaded.append("<iframe id='cboxIframe'" + (settings.scrolling ? " " : "scrolling='no'") + " name='iframe_"+new Date().getTime()+"' frameborder=0 src='"+settings.href+"' " + (isIE ? "allowtransparency='true'" : '') + " />");
 				}
 				
 				$loaded.show();
 				
-				$title.html(settings.title || element.title);
-				
-				$title.show();
+				$title.show().html(settings.title);
 				
 				if ($related.length>1) {
@@ -578,5 +577,5 @@
 		}
 		
-		href = settings.href || $(element).attr("href");
+		href = settings.href;
 		
 		$loadingOverlay.show();
@@ -718,5 +717,5 @@
 		
 		open = FALSE;
-		$().unbind("keydown.cbox_close keydown.cbox_arrows");
+		$(document).unbind("keydown.cbox_close keydown.cbox_arrows");
 		$window.unbind(cbox_resize+' resize.cboxie6 scroll.cboxie6');
 		$overlay.css({cursor: 'auto'}).fadeOut('fast');
@@ -725,4 +724,5 @@
 		.stop(TRUE, FALSE)
 		.fadeOut('fast', function () {
+			$('#colorbox iframe').attr('src', 'about:blank');
 			$loaded.remove();
 			$cbox.css({'opacity': 1});
Index: extensions/lightbox/save_history.php
===================================================================
--- extensions/lightbox/save_history.php	(revision 5721)
+++ extensions/lightbox/save_history.php	(revision 5734)
@@ -14,4 +14,9 @@
 }
 
+$image_id = mysql_real_escape_string($imgid[1]);
+
+$query = 'UPDATE '.IMAGES_TABLE.' SET hit=hit+1 WHERE id = '.$image_id.';';
+pwg_query($query);
+
 $do_log = $conf['log'];
 if (is_admin())
@@ -28,6 +33,4 @@
   exit();
 }
-
-$image_id = mysql_real_escape_string($imgid[1]);
 
 if (!empty($_POST['section']))
